Student Number 23093981
Stock Analyzer
Project Overview
This is a Flask-based stock analysis website that offers user registration, login, stock price querying, and visualization. It leverages Flask, SQLite, Bootstrap, Matplotlib, and the Alpha Vantage API.
Directory Structure
Copy
StockAnalyzer/
├── app.py
├── templates/
│   ├── base.html
│   ├── index.html
│   ├── login.html
│   ├── predict_future.html
│   └── register.html
├── static/
│   └── (images, CSS, JS files)
└── README.md
Installation and Launch
1. Install Dependencies
Ensure you have Python and pip installed. Then, install the required packages:
bashCopy
pip install flask pandas matplotlib requests sqlite3
2. Get Alpha Vantage API Key
Sign up at Alpha Vantage to get a free API key. Replace 'YOUR_API_KEY' in the get_stock_data_alpha_vantage function in app.py with your key.
3. Start the Flask App
Run the following command in the project root directory to start the Flask app:
bashCopy
python app.py
The app will run locally, accessible at http://127.0.0.1:50582.
4. Access the Website
Open your browser and navigate to http://127.0.0.1:50582 to see the homepage. You can register, log in, query stock prices, and view visualizations.
Features
User registration and login.
Stock price querying and visualization.
Responsive design using Bootstrap.
Immediate user feedback with Flask's flash function.
